# Enum QuorumPeer.LearnerType

java.lang.Object
java.lang.Enum<QuorumPeer.LearnerType>
org.apache.zookeeper.server.quorum.QuorumPeer.LearnerType

All Implemented Interfaces:
  `Serializable, Comparable<QuorumPeer.LearnerType>`

Enclosing class:
  `QuorumPeer`

public static enum QuorumPeer.LearnerType extends Enum<QuorumPeer.LearnerType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OBSERVER`
`PARTICIPANT`

## Method Summary

Modifier and Type
Method
Description
`static QuorumPeer.LearnerType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.LearnerType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PARTICIPANT

public static final QuorumPeer.LearnerType PARTICIPANT

### OBSERVER

public static final QuorumPeer.LearnerType OBSERVER

## Method Details

### values

public static QuorumPeer.LearnerType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QuorumPeer.LearnerType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null